Get order
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/orderNumber/{orderId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/orderNumber/{orderId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/orderNumber/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"_id": "6021f6b8bd6ce10008579e8e",
"tags": "<array>",
"cartId": "5e4876e10cfe1d8902005d33",
"channel": 12,
"orderTotal": 125.33,
"taxTotal": 5.23,
"orderCurrency": "USD",
"status": "ORDER_CANCELLED",
"statusLog": "Order has been cancelled",
"customerUserId": "5e3598e3007c5e00080d2bb8",
"customerAccountId": "5e3598e3007c5e00080d2bb8",
"customerEmail": "ino@fabric.inc",
"customerPhone": {
"number": "555-555-5555",
"kind": "mobile"
},
"orderId": "8426-1549-34543",
"shipTo": [
{
"address": {
"name": {
"first": "john",
"middle": "p",
"last": "smith"
},
"phone": {
"number": "555-555-5555",
"kind": "mobile"
},
"isValidated": true,
"email": "johnsmith@google.com",
"street1": "10400 NE 4th St",
"street2": "Suite 500",
"city": "Bellevue",
"state": "WA",
"country": "USA",
"zipCode": 98004,
"kind": "Ship to address"
},
"delivery": {
"actual": "<string>"
},
"shipping": {
"actual": "<string>"
},
"promosApplied": [
{
"name": "test1"
}
],
"_id": "6021f6b8bd6ce10008579e8f",
"shipToId": 1000001,
"shipToType": "SHIP_TO_ADDRESS",
"price": 24.87,
"currency": "USD",
"estimatedTax": 10,
"committedTax": 10,
"total": 34.87,
"taxCode": "FR020000",
"shipmentCarrier": "Fedex",
"shipmentMethod": "Express",
"shipmentMethodId": 10000001,
"promisedDeliveryDate": "2019-12-14T00:00:00.000Z",
"shipmentInstructions": "Leave at back door",
"shipmentStatus": "Delivered",
"readyForPickups": "<array>",
"id": "6021f6b8bd6ce10008579e8f"
}
],
"items": [
{
"group": [
123
],
"promosApplied": [
{
"name": "test"
}
],
"_id": "6021f6b8bd6ce10008579e90",
"lineItemId": 1,
"itemId": 1000000051098,
"priceListId": 1000000,
"sku": 1538910,
"title": "abcDNA Luminous Cushion Lagoon",
"quantity": 1,
"price": 4.5,
"discount": 1,
"currency": "USD",
"shipToId": 1000001,
"estimatedTax": 10.25,
"committedTax": 10.25,
"total": 4.54,
"taxCode": "FR020000",
"weight": 10,
"weightUnit": "lb",
"reservedLocation": "<array>",
"attributes": "<array>",
"id": "6021f6b8bd6ce10008579e90"
}
],
"shipments": "<array>",
"payments": [
{
"billToAddress": {
"name": {
"first": "john",
"middle": "p",
"last": "smith"
},
"phone": {
"number": "555-555-5555",
"kind": "mobile"
},
"isValidated": true,
"email": "johnsmith@google.com",
"street1": "10400 NE 4th St",
"street2": "Suite 500",
"city": "Bellevue",
"state": "WA",
"country": "USA",
"zipCode": 98004,
"kind": "Ship to address"
},
"shipToId": [
1000001
],
"_id": "6021f6b8bd6ce10008579e92",
"billToId": 1000001,
"paymentIdentifier": {
"cardIdentifier": 4242
},
"paymentMethod": "Visa",
"paymentToken": {
"token": 12345689
},
"paymentKind": "Default payment",
"amount": 533.33,
"currency": "USD",
"conversion": 1,
"paymentStatus": "Pending",
"id": "6021f6b8bd6ce10008579e92"
}
],
"revision": 1,
"totalQuantity": 2,
"statusDescriptions": [
{
"_id": "614b25234a2b4e0009870c49",
"status": "ORDER_CANCELLED",
"code": 1001,
"description": "Merchant Out of Stock",
"date": "2021-09-22T12:44:19.703Z",
"id": "614b25234a2b4e0009870c49"
}
],
"events": "<array>",
"createdAt": "2021-02-09T02:43:04.926Z",
"updatedAt": "2021-09-22T12:44:19.696Z",
"__v": 0
},
"history": [
{
"_id": "614b25234a2b4e0009870c4f",
"tags": "<array>",
"cartId": "5e4876e10cfe1d8902005d33",
"channel": 12,
"orderTotal": 125.33,
"taxTotal": 5.23,
"orderCurrency": "USD",
"status": "ORDER_CANCELLED",
"statusLog": "Order has been cancelled",
"customerUserId": "5e3598e3007c5e00080d2bb8",
"customerAccountId": "5e3598e3007c5e00080d2bb8",
"customerEmail": "ino@fabric.inc",
"customerPhone": {
"number": "555-555-5555",
"kind": "mobile"
},
"orderId": "8426-1549-34543",
"shipTo": [
{
"address": {
"name": {
"first": "john",
"middle": "p",
"last": "smith"
},
"phone": {
"number": "555-555-5555",
"kind": "mobile"
},
"email": "johnsmith@google.com",
"street1": "10400 NE 4th St",
"street2": "Suite 500",
"city": "Bellevue",
"state": "WA",
"country": "USA",
"zipCode": 98004,
"kind": "Ship to address"
},
"promosApplied": [
{
"name": "test1"
}
],
"_id": "6021f6b8bd6ce10008579e8f",
"shipToId": 1000001,
"shipToType": "SHIP_TO_ADDRESS",
"price": 24.87,
"currency": "USD",
"estimatedTax": 10,
"committedTax": 10,
"total": 34.87,
"taxCode": "FR020000",
"shipmentCarrier": "Fedex",
"shipmentMethod": "Express",
"shipmentMethodId": 10000001,
"promisedDeliveryDate": "2019-12-14T00:00:00.000Z",
"shipmentInstructions": "Leave at back door",
"shipmentStatus": "Delivered",
"id": "6021f6b8bd6ce10008579e8f"
}
],
"items": [
{
"group": [
123
],
"promosApplied": [
{
"name": "test"
}
],
"_id": "6021f6b8bd6ce10008579e90",
"lineItemId": 1,
"itemId": 1000000051098,
"sku": 1538910,
"title": "abcDNA Luminous Cushion Lagoon",
"quantity": 1,
"price": 4.5,
"discount": 1,
"currency": "USD",
"shipToId": 1000001,
"estimatedTax": 10.25,
"committedTax": 10.25,
"total": 4.54,
"taxCode": "FR020000",
"weight": 10,
"weightUnit": "lb",
"id": "6021f6b8bd6ce10008579e90"
}
],
"shipments": "<array>",
"payments": [
{
"billToAddress": {
"name": {
"first": "john",
"middle": "p",
"last": "smith"
},
"phone": {
"number": "555-555-5555",
"kind": "mobile"
},
"email": "johnsmith@google.com",
"street1": "10400 NE 4th St",
"street2": "Suite 500",
"city": "Bellevue",
"state": "WA",
"country": "USA",
"zipCode": 98004,
"kind": "Ship to address"
},
"shipToId": [
1000001
],
"_id": "6021f6b8bd6ce10008579e92",
"billToId": 1000001,
"paymentIdentifier": {
"cardIdentifier": 4242
},
"paymentMethod": "Visa",
"paymentToken": {
"token": 12345689
},
"paymentKind": "Default payment",
"amount": 533.33,
"currency": "USD",
"conversion": 1,
"paymentStatus": "Pending",
"id": "6021f6b8bd6ce10008579e92"
}
],
"revision": 1,
"totalQuantity": 2,
"statusDescriptions": [
{
"_id": "614b25234a2b4e0009870c49",
"status": "ORDER_CANCELLED",
"code": 1001,
"description": "Merchant Out of Stock",
"date": "2021-09-22T12:44:19.703Z",
"id": "614b25234a2b4e0009870c49"
}
],
"events": "<array>",
"__v": 0,
"createdAt": "2021-09-22T12:44:19.817Z",
"updatedAt": "2021-09-22T12:44:19.817Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"message": "Forbidden"
}{
"code": "ORDER_NOT_FOUND",
"message": "Order ID Not Found"
}{
"code": "<string>",
"message": "<string>"
}Order
Get order
Get order
GET
/
api-order
/
orders
/
orderNumber
/
{orderId}
Get order
Headers
Example:
"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Required string length:
15Example:
"2947-5955-82579"
Was this page helpful?
⌘I
